| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | List of all members
cv::gapi::fluid::Buffer Class Reference

`#include <opencv2/gapi/fluid/gfluidbuffer.hpp>`

## Classes
struct | Cache

## Public Member Functions
| Buffer ()
| Buffer (const cv::GMatDesc &desc)
| Buffer (const cv::GMatDesc &desc, int max_line_consumption, int border_size, int skew, int wlpi, BorderOpt border)
| Buffer (const cv::gapi::own::Mat &data, bool is_input)
void | debug (std::ostream &os) const
int | length () const
int | linesReady () const
int | lpi () const
const GMatDesc & | meta () const
View | mkView (int borderSize, bool ownStorage)
template<typename T >
T * | OutLine (int index=0)
uint8_t * | OutLineB (int index=0)
Priv & | priv ()
const Priv & | priv () const
int | y () const

## Constructor & Destructor Documentation

## ◆ Buffer() [1/4]

cv::gapi::fluid::Buffer::Buffer | ( |  | ) |

## ◆ Buffer() [2/4]

cv::gapi::fluid::Buffer::Buffer | ( | const cv::GMatDesc & | desc | ) |

## ◆ Buffer() [3/4]

cv::gapi::fluid::Buffer::Buffer | ( | const cv::GMatDesc & | desc,
|  | int | max_line_consumption,
|  | int | border_size,
|  | int | skew,
|  | int | wlpi,
|  | BorderOpt | border
| ) |  |

## ◆ Buffer() [4/4]

cv::gapi::fluid::Buffer::Buffer | ( | const cv::gapi::own::Mat & | data,
|  | bool | is_input
| ) |  |

## Member Function Documentation

## ◆ debug()

void cv::gapi::fluid::Buffer::debug | ( | std::ostream & | os | ) | const

## ◆ length()

int cv::gapi::fluid::Buffer::length | ( |  | ) | const
| inline

## ◆ linesReady()

int cv::gapi::fluid::Buffer::linesReady | ( |  | ) | const

## ◆ lpi()

int cv::gapi::fluid::Buffer::lpi | ( |  | ) | const

## ◆ meta()

const GMatDesc& cv::gapi::fluid::Buffer::meta | ( |  | ) | const
| inline

## ◆ mkView()

View cv::gapi::fluid::Buffer::mkView | ( | int | borderSize,
|  | bool | ownStorage
| ) |  |

## ◆ OutLine()

template<typename T >

T* cv::gapi::fluid::Buffer::OutLine | ( | int | index = `0` | ) |
| inline

## ◆ OutLineB()

uint8_t* cv::gapi::fluid::Buffer::OutLineB | ( | int | index = `0` | ) |
| inline

## ◆ priv() [1/2]

Priv& cv::gapi::fluid::Buffer::priv | ( |  | ) |

## ◆ priv() [2/2]

const Priv& cv::gapi::fluid::Buffer::priv | ( |  | ) | const

## ◆ y()

int cv::gapi::fluid::Buffer::y | ( |  | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/fluid/gfluidbuffer.hpp